Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"id": "<string>",
"status": "pending",
"message": "<string>",
"donor": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>"
},
"inputAmount": "<string>",
"inputToken": {
"address": "<string>",
"chainId": 123,
"symbol": "<string>",
"decimals": 123
},
"usdAmountE6": "<string>",
"createdAt": "<string>",
"unconfirmedAt": "<string>"
}
]
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not found",
"data": {
"error": "<string>",
"code": "NOT_FOUND"
}
}API Reference
List campaign donation messages
Receipt-backed messages with amounts attributed to this campaign, including donations through other configs.
GET
/
v2
/
campaigns
/
{campaignId}
/
donations
/
messages
Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"id": "<string>",
"status": "pending",
"message": "<string>",
"donor": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>"
},
"inputAmount": "<string>",
"inputToken": {
"address": "<string>",
"chainId": 123,
"symbol": "<string>",
"decimals": 123
},
"usdAmountE6": "<string>",
"createdAt": "<string>",
"unconfirmedAt": "<string>"
}
]
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not found",
"data": {
"error": "<string>",
"code": "NOT_FOUND"
}
}Authorizations
Query Parameters
Was this page helpful?